Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples
Class RectangularAreaContour

    java.lang.Object
      modelling.RectangularArea
          examples.RectangularAreaContour

All Implemented Interfaces:
  Area, java.lang.Cloneable

public class RectangularAreaContour
extends RectangularArea

Constructor Summary
`RectangularAreaContour(Map map, float x, float y, float x_length, float y_length)`

Method Summary
`void` | `draw(Drawing g)` Draws the `Area` and eventually the image of the associated element.

Methods inherited from class modelling.RectangularArea
`clone, confirmSimuled, drawBorder, exactIsCrashingElements, exactIsCrashingElements, fill, getAngle, getIntersectedBoxes, getPolygon, getProperties, getX, getY, highlight, inMap, intersect, intersect, intersect, isCrashingElements, isCrashingElements, isIn, isPolygon, rescale, rotate, setAngle, setElement, setProperties, setX, setY, simuleRescale, simuleRotate, simuleTranslate, translate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectangularAreaContour

    public RectangularAreaContour(Map map,
                                  float x,
                                  float y,
                                  float x_length,
                                  float y_length)

Method Detail

### draw

    public void draw(Drawing g)

  Description copied from interface: `Area`
  Draws the `Area` and eventually the image of the associated element. It gives a default method to draw elements.

  Specified by:
    `draw` in interface `Area`
  Overrides:
    `draw` in class `RectangularArea`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD